using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace InABox.DynamicGrid
{
    public partial class Generic : ResourceDictionary
    {
        public Generic()
        {
            //InitializeComponent();
        }

        private void Panel_OnPreviewMouseRightButtonUp(object sender, MouseButtonEventArgs e)
        {
            var parent = (sender as FrameworkElement)?.TemplatedParent as DynamicTabItem;
            if (parent == null)
                return;
            parent.ContextMenuCommand.Execute(null);
        }
    }
}
